﻿@model IEnumerable<Generic_appWeb.Models.Tipo_dato_tecnico>

<div class="card card-success">
    <div class="card-header">
        <section class="content-header">

            <h3>LISTA TIPOS DESCRIPCION DATOS TECNICOS</h3>
        </section>
    </div>
    <div class="card-body">
        <p>
            <button type="button" class="btn btn-info" onclick="location.href='@Url.Action("Create", "Tipo_dato_tecnico")'">CREAR</button>
        </p>
        <table id="Tablas" class="table table-bordered table-responsive">
            <thead>
                <tr>
                    <th> CATEGORIA</th>

                    <th> INTERNO</th>
                    <th> EMPRESA</th>
                    <th> ALTERNO</th>

                    <th> LARGA</th>
                    <th> MEDIANA</th>
                    <th> CORTA</th>
                    <th>ABREVIACION</th>
                    <th>OBSERVACION</th>

                    <th> CREACION </th>
                    <th> MODIFICACION</th>

                    <th> CREACION</th>
                    <th> MODIFICACION</th>

                    <th>SECUENCIA</th>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
            <thead class="filters">
                <tr>
                    <th> CATEGORIA</th>

                    <th> INTERNO</th>
                    <th> EMPRESA</th>
                    <th> ALTERNO</th>

                    <th> LARGA</th>
                    <th> MEDIANA</th>
                    <th> CORTA</th>
                    <th>ABREVIACION</th>
                    <th>OBSERVACION</th>

                    <th> CREACION </th>
                    <th> MODIFICACION</th>

                    <th> CREACION</th>
                    <th> MODIFICACION</th>

                    <th>SECUENCIA</th>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
           
            <tbody>

                @foreach (var item in Model)
                {
                <tr>

                    <td>
                        @Html.DisplayFor(modelItem => item.Categoria_dato_tecnico.CDTec_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_codigo_empresa)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_codigo_alterno)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_descripcion_larga)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_descripcion_med)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_descripcion_corta)
                    </td>
                    <td>

                        @Html.DisplayFor(modelItem => item.TDTec_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_fecha_creacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_fecha_modificacion)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_usuario_creacion.Users_descripcion_corta)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_usuario_modificacion.Users_descripcion_corta)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.TDTec_secuencia)
                    </td>


                    
                    <td>
                        <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.TDTec_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
                }
            </tbody>
        </table>
    </div>
</div>

@section Scripts
    {
    <script src="~/Js/Activos_index.js"></script>
}